// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancyxmlsock.h 91 2008-01-21 14:38:55Z wglas $
**
** Copyright (C) 2003 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** Global ABI stuff.
** 
*****************************************************************************/

#ifndef FANCYXMLSOCK_H
#define FANCYXMLSOCK_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef FANCYXMLSOCK_BUILD_SLIB
#   define FANCYXMLSOCK_API __attribute__((dllexport))
#  else
#   define FANCYXMLSOCK_API __attribute__((dllimport))
#  endif
# else
#  ifdef FANCYXMLSOCK_BUILD_SLIB
#   define FANCYXMLSOCK_API __declspec(dllexport)
#  else
#   define FANCYXMLSOCK_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYXMLSOCK_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYXMLSOCK_INTERNAL_API
#define FANCYXMLSOCK_INTERNAL_API
#endif

#ifndef FANCYXMLSOCK_API
#define FANCYXMLSOCK_API
#endif

#endif // ! FANCYXMLSOCK_H
