// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancyxmlsockhttpprotocol.h 91 2008-01-21 14:38:55Z wglas $
**
** Copyright (C) 2003 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** A minimal HTTP/1.1 implementation for transporting XML packets.
** 
*****************************************************************************/

#ifndef FANCY_XMLSOCK_HTTP_PROTOCOL_H
#define FANCY_XMLSOCK_HTTP_PROTOCOL_H

#include <fancyxmlsockprotocol.h>

namespace Fancy {
  namespace Sock {

    class HttpServerTransport;
  
    class FANCYXMLSOCK_API HttpServerProtocol : public Protocol
    {
    public:
      HttpServerProtocol(HttpServerTransport *d);
    
      ~HttpServerProtocol();

      xmlDocPtr readXmlDoc();
    
    private:
      HttpServerProtocol (const HttpServerProtocol &);
      HttpServerProtocol &operator=(const HttpServerProtocol &);
    };

  }
}

#endif // ! FANCY_XMLSOCK_HTTP_PROTOCOL_H
