// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancyxmlsockloopdaemon.h 91 2008-01-21 14:38:55Z wglas $
**
** Copyright (C) 2003 EV-i Informationstechnologie Gmbh.
**
** Author: Wolfgang Glas
**
** A class, that encapsulates a full-fledged UNIX-daemon
** using TCP/IP servers. This class provides for libxml/loop support.
**
*****************************************************************************/

#ifndef FANCY_XMLSOCK_LOOP_DAEMON_H
#define FANCY_XMLSOCK_LOOP_DAEMON_H

#include <fancyxmlsock.h>
#include <fancysockdaemon.h>

namespace Fancy {
  namespace Sock {
    class FANCYXMLSOCK_API LoopDaemon : public Daemon
    {
    public:
      LoopDaemon (const char *name);
      ~LoopDaemon ();
      
      void leaveConsole();
    };
  }
}
 
#endif
