// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancyxmlsockloopserver.h 91 2008-01-21 14:38:55Z wglas $
**
** Copyright (C) 2005 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** Highlevel socket server with loop classes with xml packet capabilities.
** 
*****************************************************************************/

#ifndef FANCY_XMLSOCK_LOOP_SERVER_H
#define FANCY_XMLSOCK_LOOP_SERVER_H

#include <fancyxmlsock.h>
#include <fancysockserver.h>

namespace Fancy {
  namespace Sock {

    // fwd decls.
    class BaseLoop;
    class LoopServer;

    class FANCYXMLSOCK_API LoopServer: public Server
    {
    public:
      LoopServer();
      LoopServer(Fancy::Sock::Device *dev);

      ~LoopServer();

      virtual BaseLoop *createConnectionLoop(Device *dev) = 0;

    protected:
      Fancy::Sock::ClientHandler *createClientHandler();
    };

  }
}

#endif // ! XMLSOCK_LOOP_SERVER_H
